be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class CancelledBedPeriodListType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.CancelledBedPeriodListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class CancelledBedPeriodListType
      extends Object
      implements Serializable

  Lijst van geannuleerde periodes woongelegenheid voor deze opname

  Java class for CancelledBedPeriodListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CancelledBedPeriodListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CancelledBedPeriod" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}CancelledBedPeriodType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CancelledBedPeriodListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CancelledBedPeriodType>` | `getCancelledBedPeriods()` Gets the value of the cancelledBedPeriods property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CancelledBedPeriodListType

          public CancelledBedPeriodListType()

  - ### Method Detail

    - #### getCancelledBedPeriods

          public List<CancelledBedPeriodType> getCancelledBedPeriods()

      Gets the value of the cancelledBedPeriods property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cancelledBedPeriods property.

      For example, to add a new item, do as follows:

              getCancelledBedPeriods().add(newItem);

      Objects of the following type(s) are allowed in the list `CancelledBedPeriodType`

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.